package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 轮挡报废图片记录对象 record_invalidated_img
 * 
 * @author wangh
 * @date 2024-09-27
 */
public class RecordInvalidatedImg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objid;

    /** 报废记录ID */
    @Excel(name = "报废记录ID")
    private Long invalidatedId;

    /** RFID */
    @Excel(name = "RFID")
    private String epc;

    /** RFID */
    @Excel(name = "RFID")
    private String imgPath;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setInvalidatedId(Long invalidatedId) 
    {
        this.invalidatedId = invalidatedId;
    }

    public Long getInvalidatedId() 
    {
        return invalidatedId;
    }
    public void setEpc(String epc) 
    {
        this.epc = epc;
    }

    public String getEpc() 
    {
        return epc;
    }
    public void setImgPath(String imgPath) 
    {
        this.imgPath = imgPath;
    }

    public String getImgPath() 
    {
        return imgPath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("invalidatedId", getInvalidatedId())
            .append("epc", getEpc())
            .append("imgPath", getImgPath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
